Confluence 6.10 アップグレード ノート

以下は、Confluence 6.10 にアップグレードする際の重要な注意事項です。このリリースの新機能と改善点の詳細については、「Confluence 6.10 リリース ノート」を参照してください。

アップグレード ノート

Confluence 6 はメジャー アップグレードです

Confluence 5.x からアップグレードする場合、これらのアップグレードノートを熟読し、フルバックアップを行い、非本番環境でアップグレードをテストしてから、本番サイトのアップグレードを実行してください。

Tomcat 9 upgrade  

In this release we've upgraded Apache Tomcat from version 8 to 9. Some things you should be aware of:

  • Tomcat 9 supports HTTP/2, but Confluence does not yet support this protocol. 
  • Tomcat 9 introduces support for multiple TLS virtual hosts for a single connector with each virtual host supporting multiple certificates. We haven't tested this with Confluence yet, and have made no changes to the sample connectors in Confluence's server.xml file. We may introduce some changes in future releases. 

As usual, we recommend upgrading your test or staging site before upgrading your production site to Confluence 6.10, particularly if you've made significant changes to your server.xml.  It's also good practice to re-apply modifications, rather than just copying over your old server.xml

If you're running Confluence as a service, you may need to:

  • reinstall the service, if you've upgraded Confluence manually
  • reapply any system properties or JVM flags you may be passing via the service. 

検索機能の改善

In this release we fixed a number of issues relating to search. Some of the fixes will only apply to newly created or edited content, until you next reindex your site. 

Additional memory requirements for Data Center

As mentioned in the release notes, you should make sure that each Confluence node in the cluster has at least 2GB free memory to cater for the sandboxes.

サポート対象プラットフォームの変更

In this release we've:

  • Added support for Microsoft SQL Server 2016

アップグレード後の設定ファイルの更新

The contents of configuration files such as server.xml, web.xmlsetenv.batsetenv.sh and confluenceinit.properties change from time to time. 

アップグレード時には、以前のインストールのファイルで単純に上書きするのではなく、これらのファイルへの追加 (プロキシ設定、データソース、JVM パラメーターなど) を手動で再適用することをおすすめします。これを行わない場合、これまでの改善が失われてしまいます。

Confluence 5.x からのアップグレード

共同編集は Synchrony の魔法によって利用可能になりました。Confluence Server をインストールすると、Synchrony はサーバー上で別のプロセスとして動作するように設定されます。

Confluence 5.x からアップグレードする場合、知っておく必要がある要件がいくつかあります。

Collaborative editing requirements...
  • メモリおよび CPU:以前の Confluence リリースよりも多くのリソースをサーバーに与える必要がある場合があります。Confluence をインストールすると、Synchrony (共同編集に必要)はサーバー上で別のプロセスとして動作するように設定されます。Synchrony デフォルトの最大ヒープ サイズは 1GB です(Confluence の要件の最上位)。 
  • WebSockets:共同編集は WebSockets を使用して最適に動作します。ファイアウォール/プロキシで WebSocket 接続を許可する必要があります。 
  • SSL termination:Synchrony は直接 HTTPS 接続をサポートしないため、SSL はロード バランサ、プロキシ サーバー、またはゲートウェイでターミネートされる必要があります。 
  • Database drivers: You must use a supported database driver. Collaborative editing will fail with an error if you're using an unsupported or custom JDBC driver (or driverClassName in the case of a JNDI datasource connection). See Database JDBC Drivers for the list of drivers we support.
  • データベース接続プール:ご使用のデータベースは、Confluence と Synchrony の両方をサポートできるように十分な接続数を許可する必要があります (既定値は最大プールサイズの 15)。  

インフラストラクチャの変更 

開発者向けの情報

Head to Preparing for Confluence 6.10 to find out more about changes under the hood. 

サポート終了のお知らせ

No announcements. 

Known issues

アップグレード手順

注:まずテスト環境をアップグレードします。本番環境にロールする前に、テスト環境でアップグレードをテストしてください。

すでに Confluence のバージョンを実行している場合、以下の手順に従って最新バージョンにアップグレードしてください。

  1. > [サポート ツール] > [ヘルス チェック] の順に移動し、ライセンスの有効性、アプリケーション サーバー、データベースのセットアップなどを確認します。
  2. アップグレードする前に、インストール ディレクトリ、ホーム ディレクトリ、およびデータベースをバックアップすることを強くおすすめします。
  3. ご使用の Confluence のバージョンが 6.5 より前の場合、そのバージョンから最新バージョンまでのすべてのリリースリリース ノートおよびアップグレード ガイドお読みください。
  4. Confluence の最新バージョンをダウンロードします。
  5. アップグレード ガイド」の説明に従います。

既知の問題のチェックとConfluenceアップグレードのトラブルシューティング

Confluence インストールのアップグレードに必要な手順が完了したら、「Confluence のアップグレード後のチェックリスト」のすべての項目を確認し、すべてが期待どおりに動作していることを確認します。適切に動作していないところがあれば、既知の Confluence の問題を確認し、以下に記載されているアップグレードのトラブルシューティングを試してください。

  • 既知の問題を確認してください。Confluence のリリース後にその最新バージョンで問題が見つかる場合があります。そのような場合、既知の問題に関する情報を Confluence ナレッジベースで公開します。
  • コミュニティで回答を確認してください。他のユーザーに同じ問題が発生している可能性があります。Atlassian Answers のコミュニティから回答を確認することができます。
  • Confluence のアップグレード中に問題が発生しましたか?Confluence ナレッジベースで、アップグレードのトラブルシューティングを行うガイドを参照してください。

アップグレード中に問題が発生し、解決できない場合、サポート チケットを作成してください。弊社のサポート エンジニアがお手伝いします。

最終更新日 2019 年 6 月 7 日

この内容はお役に立ちましたか?

はい
いいえ
この記事についてのフィードバックを送信する
Powered by Confluence and Scroll Viewport.